--- qt-src.sh.orig	2013-05-20 06:19:55.000000000 +0900
+++ qt-src.sh	2014-06-19 17:44:44.000000000 +0900
@@ -1,7 +1,16 @@
 #!/usr/bin/env bash
-URL='http://download.qt-project.org/official_releases/qt/4.8/4.8.4/'
-QTSRC='qt-everywhere-opensource-src-4.8.4.tar.gz'
-if [ ! -e "src/qt/$QTSRC" ]; then
-    wget -O "src/qt/$QTSRC" "$URL$QTSRC"
+QTSRC='qt-everywhere-opensource-src-4.8.6.tar.gz'
+if [ ! -e "__WRKSRC__/src/qt/$QTSRC" ]; then
+    if [ -e /usr/ports/distfiles/KDE/${QTSRC} ]; then
+	/bin/cp /usr/ports/distfiles/KDE/${QTSRC} __WRKSRC__/src/qt/${QTSRC}
+    else
+	/usr/bin/ftp -a http://distfiles.icmpv6.org/distfiles/KDE/${QTSRC}
+       /bin/mv ${QTSRC} __WRKSRC__/src/qt/${QTSRC}
+    fi
 fi
-tar -C src/qt --strip-components=1 -xf src/qt/$QTSRC
+tar -C __WRKSRC__/src/qt --strip-components=1 -xf __WRKSRC__/src/qt/$QTSRC
+
+VERSION=`/usr/bin/uname -r | /usr/bin/awk  -F\. '{print $1}'`
+if [ "${VERSION}" -ge 10 ];then
+    /bin/cp /usr/ports/www/qtweb/files/qmake.conf __WRKSRC__/src/qt/mkspecs/freebsd-g++/
+fi
